Subject: Re: [bug#49203] [PATCH 1/2] gnu: Add ocaml-uri-sexp.

From: Xinglu Chen <[email-masked]>
Date: Fri, 25 Jun 2021 12:58:06 +0200

On Fri, Jun 25 2021, Adu O'Hara wrote:

> Xinglu Chen <[email-masked]> writes:
>
>>> True, what I was suggesting would add another patch to the 
>>> series 
>>> and mix up intentions of the series.
>>
>> Sorry, I don’t get what you are trying to say here.
>>
>>> Still, I'd suggest for ocaml-uri-sexp to inherit from
>>> ocaml-uri. Otherwise we have them at two different versions.
>>
>> I think it makes more sense to do that in a separate series 
>> since
>> updating ‘ocaml-uri’ isn’t really related to adding 
>> ‘ocaml-cohttp’.
>
> Sorry for being unclear. Here's what I mean:
>
> (define-public ocaml-uri-sexp
>   (package
>     (inherit ocaml-uri)
>     (name "ocaml-uri-sexp")
>     (arguments
>      `(#:package "uri-sexp"
>        #:test-target "."))
>     (propagated-inputs
>       `(("ocaml-uri" ,ocaml-uri)
>         ("ocaml-ppx-sexp-conv" ,ocaml-ppx-sexp-conv)
>         ("ocaml-sexplib0" ,ocaml-sexplib0)))
>     (native-inputs `(("ocaml-ounit" ,ocaml-ounit)))))
>
> Then when `ocaml-uri` eventually gets updated `ocaml-uri` and 
> `ocaml-uri-sexp` will be at same version.

But ‘ocaml-uri’ would first have to be updated to the latest version,
which I think is out of scope of this series.

Once this series gets merged, I think it would be great to update
‘ocaml-uri’, and then make ‘ocaml-uri-sexp’ inherit from it.

WDYT?